<nz-content>
    <div class="inner-content">

        <label class="relative inline-flex items-center cursor-pointer">
            <input type="checkbox" value class="sr-only peer">
            <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-blue-600"></div>
            <span class="ms-3 text-sm font-medium text-gray-900 dark:text-gray-300">Toggle me</span>
        </label>

        <div class="flex mb-2">
            <div class="font-bold text-gray-600"> เตียง:</div>
            <div> {{topbed || 'ไม่ระบุเตียง'}}</div>
            <div class="font-bold text-gray-600 ml-2"> ชื่อ:</div>
            <div> {{title}}{{fname}}</div>
            <div class="font-bold text-gray-600 ml-2"> สกุล:</div>
            <div> {{lname}}</div>
            <div class="font-bold text-gray-600 ml-2"> เพศ:</div>
            <div> {{gender || 'ไม่ระบุเพศ'}}</div>
            <div class="font-bold text-gray-600 ml-2"> อายุ:</div>
            <div> {{age || 'ไม่ระบุ'}}</div>
            <div class="font-bold text-gray-600 ml-2"> แพทย์ตรวจ:</div>
            <div> {{doctorname || 'ไม่พบแพทย์'}}</div>
        </div>
        <nz-tabset nzType="card">
            <nz-tab nzTitle="Info">
                <nz-card>

                    <nz-divider nzText="Patient Infomation" nzOrientation="left"></nz-divider>

                    <div class="flex ...">
                        <div class="flex-none w-14  ...">
                            <div class="w-14 h-14">
                                <button class="rounded-full border-2 w-14 h-14 p-1 bg-orange-200  border-orange-300">
                                    <!-- <i class="fa-solid fa-person text-orange-600 text-[30px]"></i> -->
                                    <i class="fa-solid fa-user-injured text-orange-600 text-[30px]"></i>
                                </button>
                            </div>
                        </div>
                        <div class="grow  ...">
                            <div class="mb-2 grid p-3">
                                <div class="flex flex-wrap gap-x-3">

                                    <div class="font-bold text-gray-600"> คำนำหน้า :</div><div> {{title}}</div>
                                    <div class="font-bold text-gray-600"> ชื่อ :</div><div> {{fname}}</div>
                                    <div class="font-bold text-gray-600"> นามสกุล :</div><div> {{lname}}</div>
                                    <div class="font-bold text-gray-600"> เพศ :</div><div> {{gender}}</div>
                                    <div class="font-bold text-gray-600"> อายุ :</div><div> {{age}}</div>
                                    <div class="font-bold text-gray-600"> วันเกิด :</div><div> {{dob}}</div>
                                    <div class="font-bold text-gray-600"> สิทธิ์การรักษา :</div><div> {{inscl_name}}</div>
                                    <div class="font-bold text-gray-600"> สถานะ :</div><div> {{married_status}}</div>
                                    <div class="font-bold text-gray-600"> เบอร์ :</div><div> {{phone}}</div>

                                </div>
                                <div class="flex flex-wrap gap-x-4 ">
                                    <div class="font-bold text-gray-600"> CID :</div><div>{{cid}}</div>
                                    <div class="font-bold text-gray-600"> HN :</div><div> {{hn}}</div>
                                    <div class="font-bold text-gray-600"> AN :</div><div> {{an}} </div>
                                    <div class="font-bold text-gray-600"> ADMIN ID :</div><div> {{admit_id}} </div>

                                </div>
                            </div>
                        </div>

                    </div>

                    <nz-divider nzText="Screening Infomation" nzOrientation="left"></nz-divider>

                    <div class="flex ...">
                        <div class="flex-none w-14  ...">
                            <div class="w-14 h-14">
                                <button class="rounded-full border-2 w-14 h-14 p-1 bg-orange-200  border-orange-300">
                                    <!-- <i class="fa-solid fa-person text-orange-600 text-[30px]"></i> -->
                                    <i class="fa-solid fa-users-viewfinder text-orange-600 text-[30px]"></i>
                                </button>
                            </div>
                        </div>
                        <div class="grow  ...">
                            <div class="mb-2 grid p-3">
                                <div class="flex flex-wrap gap-x-3">
                                    <div class="font-bold text-gray-600"> CC :</div><div> {{chief_complaint}}</div>
                                    <div class="font-bold text-gray-600"> PI :</div><div> {{present_illness}}</div>
                                    <div class="font-bold text-gray-600"> PH :</div><div> {{past_history}}</div>
                                    <div class="font-bold text-gray-600"> PE :</div><div> {{physical_exam}}</div>
                                    <div class="font-bold text-gray-600"> Pre Diag :</div><div>...</div>

                                </div>
                                <div class="flex flex-wrap gap-x-4 ">
                                    <div class="font-bold text-gray-600"> Temp :</div><div> {{body_temperature}}</div>
                                    <div class="font-bold text-gray-600"> Weight :</div><div> {{body_weight}} kg. </div>
                                    <div class="font-bold text-gray-600"> Height :</div><div> {{body_height}} cm.</div>
                                    <div class="font-bold text-gray-600"> BP :</div><div> {{systolic_blood_pressure}} / {{diatolic_blood_pressure}}</div>
                                    <div class="font-bold text-gray-600"> PR :</div><div> {{pulse_rate}}</div>
                                    <div class="font-bold text-gray-600"> RR :</div><div> {{respiratory_rate}}</div>
                                    <div class="font-bold text-gray-600"> waist :</div><div> {{waist}}</div>

                                </div>
                                <div class="flex flex-wrap gap-x-4">
                                    <div class="font-bold text-gray-600"> Other :</div><div> ........................................................................</div>
                                    <div class="font-bold text-gray-600"> Doctor By :</div><div> ....</div>
                                </div>
                            </div>
                        </div>

                    </div>

                </nz-card>
            </nz-tab>
            <nz-tab nzTitle="Order">
                <nz-table #userTable nzSize="small" [nzHideOnSinglePage]="true">
                    <thead>
                        <tr>
                            <th>Process Note</th>
                            <th>Order One Day</th>
                            <th>Order Continue</th>
                            <th>สถานะ Order</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of doctorOrder;let i = index">

                            <td>
                                <span *ngFor="let p of data.progressNote">
                                    Progress {{p.create_date}}<br>
                                    S:<span *ngFor="let s of p.subjective;">
                                        {{s}}
                                    </span><br>
                                    O:<span *ngFor="let o of p.objective;">
                                        {{o}}
                                    </span><br>
                                    A:
                                    <span *ngFor="let a of p.assertment;">
                                        {{a}}
                                    </span><br>
                                    p:
                                    <span *ngFor="let pl of p.plan;">
                                        {{pl}}
                                    </span>
                                    {{p.note}}<br>
                                </span>
                                <button class="mb-2 mr-2" nz-button [nzSize]="size" nzShape="round" (click)="showModalConsult()">
                                    <span nz-icon nzType="form" nzTheme="outline"></span>
                                    Consult
                                    <nz-modal [(nzVisible)]="isVisible"
                                        nzWidth="1024px"
                                        nzTitle="Consult"
                                        (nzOnCancel)="handleCancel()"
                                        (nzOnOk)="handleOk()">

                                    </nz-modal>
                                </button>
                            </td>
                            <td>
                                <span *ngFor="let p of data.continues;let j = index">
                                    {{p.item_name}}{{p.medicine_usage_code}}{{p.medicine_usage_cod_extra}}{{p.quantity}}<br>
                                </span>

                            </td>
                            <td>
                                <span *ngFor="let p of data.oneDay;let j = index">
                                    {{p.item_name}}{{p.medicine_usage_code}}{{p.medicine_usage_cod_extra}}<br>
                                </span>
                            </td>
                            <td>
                                <button class="mb-2 mr-2" nz-button nzType="primary" [nzSize]="size" nzShape="round" (click)="showModalOrder()">
                                    <span nz-icon nzType="form" nzTheme="outline"></span>
                                    บันทึกรับ Order ทั้งหมด
                                    <nz-modal [(nzVisible)]="isVisible" nzWidth="1024px"
                                        nzTitle="รับ Order"
                                        (nzOnCancel)="handleCancel()" (nzOnOk)="handleOk()">

                                    </nz-modal>
                                </button>
                            </td>
                            <td></td>
                        </tr>

                    </tbody>
                </nz-table>
            </nz-tab>
            <nz-tab nzTitle="Note">
                <div class="flex justify-end">
                    <button class="mb-2 mr-2" nz-button [nzSize]="size" nzShape="round" (click)="showModal()">
                        <span nz-icon nzType="form" nzTheme="outline"></span>
                        บันทึกทางการพยาบาล
                        <nz-modal [(nzVisible)]="isVisible" nzWidth="1024px"
                            nzTitle="บันทึกทางการพยาบาล"
                            (nzOnCancel)="handleCancel()" (nzOnOk)="handleOk()">

                        </nz-modal>
                    </button>

                    <button class="mb-2" nz-button nzType="primary" [nzSize]="size" nzShape="round">
                        <span nz-icon nzType="left" nzTheme="outline"></span>
                        กลับไปรายชื่อผู้ป่วย
                    </button>
                </div>
                <nz-table #userTable nzSize="small" [nzHideOnSinglePage]="true">
                    <thead>
                        <tr>
                            <th>ปัญหา</th>
                            <th>กิจกรรมทางการพยาบาล</th>
                            <th>การประเมิณผลทางการพยาบาล</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of NurseNote;let i = index">
                            <td>
                                <span *ngFor="let p of data.problem_list;">
                                    {{p}}<br>
                                </span>
                            </td>
                            <td>
                                <span *ngFor="let a of data.activity;">
                                    {{a}}<br>
                                </span>

                            </td>
                            <td>
                                <span *ngFor="let e of data.evaluate;">
                                    {{e}}<br>
                                </span>
                            </td>
                            <td>
                            </td>
                        </tr>

                    </tbody>
                </nz-table>

            </nz-tab>
            <nz-tab nzTitle="V/S" (nzClick)="apexChartLine();">
                <div class="flex justify-end">
                    <button class="mb-2 mr-2" nz-button [nzSize]="size" nzShape="round" (click)="showModalVS()">
                        <span nz-icon nzType="form" nzTheme="outline"></span>
                        บันทึก V/S
                    </button>
                    <nz-modal [(nzVisible)]="isVisibleVS" nzWidth="1024px"
                        nzTitle="AN:{{itemPatientInfo.an}} ชื่อ: {{itemPatientInfo.fname}} สกุล : {{itemPatientInfo.lname}} อายุ:{{itemPatientInfo.age || 'ไม่ระบุ'}} ปี เพศ:{{itemPatientInfo.gender}}"
                        (nzOnCancel)="handleCancelVS()" (nzOnOk)="handleOkVS()">
                        <ng-container *nzModalContent>
                            <label>บันทึกข้อมูล Vital Sign</label>
                            <div class="p-3 bg-gray-100">
                                <nz-divider [nzText]="templateVS" nzOrientation="left"></nz-divider>
                                <ng-template #templateVS>
                                    <div class="bg-blue-200 p-1 rounded">
                                        <span nz-icon>
                                            <span class="fa-solid fa-stethoscope text-2xl"></span>
                                        </span>
                                        <span>Vital Sign</span>
                                    </div>
                                </ng-template>

                                <div nz-row>
                                    <div nz-col nzSpan="4">
                                        <label>RR : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="rr" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="4">
                                        <label>BP : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="bp" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="4">
                                        <label>BW : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="bw" />
                                        </div>
                                    </div>

                                    <div nz-col nzSpan="4">
                                        <label>BT : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="bt" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="4">
                                        <label>PR : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="pr" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="4">
                                        <label>PAIN SCORE : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="painscore" />
                                        </div>
                                    </div>
                                </div>
                                <!-- </nz-card> -->
                                <!-- <nz-card nzTitle="Intake"> -->
                                <nz-divider [nzText]="templateIntake" nzOrientation="left"></nz-divider>
                                <ng-template #templateIntake>
                                    <div class="bg-blue-200 p-1 rounded">
                                        <span nz-icon>
                                            <span class="fa-solid fa-temperature-arrow-up text-2xl"></span>
                                        </span>
                                        <span>Intake</span>
                                    </div>
                                </ng-template>
                                <div nz-row>
                                    <div nz-col nzSpan="6">
                                        <label>Oral Fluide : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="oralfluide" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Parenterat : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="parenterat" />
                                        </div>
                                    </div>
                                </div>
                                <!-- </nz-card><br> -->
                                <!-- <nz-card nzTitle="Outtake"> -->
                                <nz-divider [nzText]="templateOuttake" nzOrientation="left"></nz-divider>
                                <ng-template #templateOuttake>
                                    <div class="bg-blue-200 p-1 rounded">
                                        <span nz-icon>
                                            <span class="fa-solid fa-vial-virus text-2xl"></span>

                                        </span>
                                        <span>Outtake</span>
                                    </div>
                                </ng-template>

                                <div nz-row>
                                    <div nz-col nzSpan="6">
                                        <label>Urine : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="urineout" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Emesis : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="emesis" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Drainage : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="drainage" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Aspiration : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="aspiration" />
                                        </div>
                                    </div>
                                </div>
                                <!-- </nz-card><br> -->
                                <!-- <nz-card nzTitle> -->
                                <nz-divider [nzText]="templateStool" nzOrientation="left"></nz-divider>
                                <ng-template #templateStool>
                                    <div class="bg-blue-200 p-1 rounded">
                                        <span nz-icon>
                                            <span class="fa-solid fa-vial-circle-check text-2xl"></span>
                                        </span>
                                        <span>Others</span>
                                    </div>
                                </ng-template>

                                <div nz-row>
                                    <div nz-col nzSpan="6">
                                        <label>Stools : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="stools" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Urine : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="urine" />
                                        </div>
                                    </div>
                                    <div nz-col nzSpan="6">
                                        <label>Medications : </label>
                                        <div class="flex mr-5">
                                            <input type="text" nz-input [(ngModel)]="medications" />
                                        </div>
                                    </div>
                                </div>
                                <!-- </nz-card> -->
                            </div>
                        </ng-container>

                    </nz-modal>

                    <button class="mb-2 mr-2" nz-button [nzSize]="size" nzShape="round" (click)="showModalVSEdit()">
                        <span nz-icon nzType="form" nzTheme="outline"></span>
                        แก้ไข V/S
                    </button>
                    <nz-modal [(nzVisible)]="isVisibleVSEdit" nzWidth="1024px"
                        nzTitle="AN:{{itemPatientInfo.an}} ชื่อ: {{itemPatientInfo.fname}} สกุล : {{itemPatientInfo.lname}} อายุ:{{itemPatientInfo.age || 'ไม่ระบุ'}} ปี เพศ:{{itemPatientInfo.gender}}"
                        (nzOnCancel)="handleCancelVSEdit()" (nzOnOk)="handleOkVSEdit()">
                        <ng-container *nzModalContent>
                            <label class="flex text-red-600">*แก้ไข Vital Sign(ได้เฉพาะรอบล่าสุด)</label>
                            <div style="background: #ECECEC;padding:30px;">
                                <nz-card nzTitle="Vital Sign">
                                    <div nz-row>
                                        <div nz-col nzSpan="6">
                                            <label>RR : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="rr" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>BP : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="bp" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>BW : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="bw" />
                                            </div>
                                        </div>
                                    </div><br>
                                    <div nz-row>
                                        <div nz-col nzSpan="6">
                                            <label>BT : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="bt" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>PR : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="pr" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>PAIN SCORE : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="painscore" />
                                            </div>
                                        </div>
                                    </div>
                                </nz-card><br>
                                <nz-card nzTitle="Intake">
                                    <div nz-row>
                                        <div nz-col nzSpan="6">
                                            <label>Oral Fluide : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="oralfluide" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Parenterat : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="parenterat" />
                                            </div>
                                        </div>
                                    </div>
                                </nz-card><br>
                                <nz-card nzTitle="Outtake">
                                    <div nz-row>
                                        <div nz-col nzSpan="6">
                                            <label>Urine : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="urineout" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Emesis : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="emesis" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Drainage : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="drainage" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Aspiration : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="aspiration" />
                                            </div>
                                        </div>
                                    </div>
                                </nz-card><br>
                                <nz-card nzTitle>
                                    <div nz-row>
                                        <div nz-col nzSpan="6">
                                            <label>Stools : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="stools" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Urine : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="urine" />
                                            </div>
                                        </div>
                                        <div nz-col nzSpan="6">
                                            <label>Medications : </label>
                                            <div class="flex mr-5">
                                                <input type="text" nz-input [(ngModel)]="medications" />
                                            </div>
                                        </div>
                                    </div>
                                </nz-card>
                            </div>
                        </ng-container>

                    </nz-modal>

                    <button class="mb-2" nz-button nzType="primary" [nzSize]="size" nzShape="round">
                        <span nz-icon nzType="left" nzTheme="outline"></span>
                        กลับไปรายชื่อผู้ป่วย
                    </button>
                </div>
                <!--The content below is only a placeholder and can be replaced.-->
                <div class="flex flex-row justify-center">
                    <div class="flex flex-col w-full h-fit bg-blue-100 justify-center content-center place-self-center text-center">
                      
                        <apx-chart 
                            [series]="chartOptions.series"
                            [chart]="chartOptions.chart"
                            [xaxis]="chartOptions.xaxis"
                            [stroke]="chartOptions.stroke"
                            [colors]="chartOptions.colors"
                            [dataLabels]="chartOptions.dataLabels"
                            [legend]="chartOptions.legend"
                            [markers]="chartOptions.markers"
                            [grid]="chartOptions.grid"
                            [yaxis]="chartOptions.yaxis"
                            [title]="chartOptions.title"
                           >
                        </apx-chart>
                    </div>
                </div>
                <!-- <div class="card-body p-0">
                    <div>
                        <apx-chart [series]="basicBarChart.series" [colors]="basicBarChart.colors"
                            [chart]="basicBarChart.chart" [dataLabels]="basicBarChart.dataLabels"
                            [plotOptions]="basicBarChart.plotOptions" [xaxis]="basicBarChart.xaxis"
                            [legend]="basicBarChart.legend" dir="ltr"></apx-chart>
                    </div>
                </div> -->

                <nz-table #userTable nzSize="small" [nzHideOnSinglePage]="true">
                    <thead>
                        <tr>
                            <th>Item/Time</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                        <tr>
                            <th>RR</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                        <tr>
                            <th>BP</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                        <tr>
                            <th>BW</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                        <tr>
                            <th>BT</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                        <tr>
                            <th>PR</th>
                            <th>2</th>
                            <th>6</th>
                            <th>10</th>
                            <th>14</th>
                            <th>18</th>
                            <th>22</th>
                        </tr>
                    </thead>
                </nz-table>
            </nz-tab>
        </nz-tabset>
    </div>
</nz-content>
